Name:           python-gandi-2-terraform
Version:        1.3.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        CLI to read Gandi.net live DNS records and generate corresponding TF gandi_livedns_record resources

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/marcaurele/gandi-2-terraform
Source:         %{pypi_source gandi_2_terraform}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gandi-2-terraform' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gandi-2-terraform
Summary:        %{summary}

%description -n python3-gandi-2-terraform %_description


%prep
%autosetup -p1 -n gandi_2_terraform-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gandi-2-terraform -f %{pyproject_files}


%changelog
%autochangelog